Xfce Foundation Classes
Main Page | Index | Namespace List | Alphabetical List | Class List | File List

# Xfc::Gtk::TreeViewColumnSignals Class Reference

Abstract base class that implements the virtual signal handlers for Gtk::TreeViewColumn. More...

`#include <xfc/gtk/treeviewcolumnsignals.hh>`

Inheritance diagram for Xfc::Gtk::TreeViewColumnSignals:

List of all members.

## Public Member Functions

Signal Handlers

- virtual void on_clicked ()
    Called when the user clicks on the header for the column.

## Protected Member Functions

Constructors

- TreeViewColumnSignals (TreeViewColumn *tree_column)
    Constructs a new TreeViewColumnSignals object.
- virtual ~TreeViewColumnSignals ()=0
    Destructor.

## Detailed Description

Abstract base class that implements the virtual signal handlers for Gtk::TreeViewColumn.

## Constructor & Destructor Documentation

Xfc::Gtk::TreeViewColumnSignals::TreeViewColumnSignals | ( | TreeViewColumn * | tree_column | ) | `[protected]`

Constructs a new TreeViewColumnSignals object.

Parameters:

  | tree_column | A TreeViewColumn object inheriting the TreeViewColumnSignals implementation.

The documentation for this class was generated from the following file:

- treeviewcolumnsignals.hh

Xfce Foundation Classes

Copyright © 2004-2005 The XFC Development Team | XFC 4.3